sc::MPQCIn Class Reference

## Public Member Functions

char * | parse_string (const char *s)
int | check_string (const char *s)
int | ylex ()
int | yparse ()
void | error (const char *s)
void | error2 (const char *s, const char *s2)
void | yerror (const char *s)
void | yerror2 (const char *s, const char *)
void | begin_molecule ()
void | end_molecule ()
void | add_atom (char *, char *, char *, char *)
void | set_charge (char *)
void | set_method (char *)
void | set_basis (char *)
void | set_auxbasis (char *)
void | set_multiplicity (char *)
void | set_memory (char *)
void | set_optimize (int)
void | set_opt_type (int)
void | set_atom_charge (char *)
void | set_molecule_unit (char *)
void | set_method_xc (char *)
void | set_method_grid (char *)
void | set_symmetry (char *)
void | set_redund_coor (int)
void | set_gradient (int)
void | set_frequencies (int)
void | set_restart (int)
void | set_checkpoint (int)
void | set_molecule_bohr (int)
void | set_docc (std::vector< int > *)
void | set_socc (std::vector< int > *)
void | set_alpha (std::vector< int > *)
void | set_beta (std::vector< int > *)
void | set_frozen_docc (std::vector< int > *)
void | set_frozen_uocc (std::vector< int > *)
std::vector< int > * | make_nnivec (std::vector< int > *, char *)
void | set_method_absmethod (const char *)
void | set_method_ebc (const char *)
void | set_method_gbc (const char *)

## Static Public Member Functions

static int | checking ()

The documentation for this class was generated from the following file:

- mpqcin.h